%/* Copyright (c) 2017 Suzuki Lab */ 
% --------------------------------------------------------------------------------------------------
% Apply PCA to find model parameters
% --------------------------------------------------------------------------------------------------

% concatenate the two classes
allData = [x1; x2];
w_all = quickPCA(allData)

% the best principle component corresponding to highest eigenvalue
w = w_all(:,1)

% the direction of w can be safely flipped (for simplicity of the rest of
% program). The only difference it makes is that it flips the decision
% (positive to negative and wise versa)
w = -w;


% calculate the intercept with a simple method
c = (1/2)*w'*(m1+m2)

% --------------------------------------------------------------------------------------------------
% Draw the decision boundry found by PCA
% --------------------------------------------------------------------------------------------------

% draw the w vector direction as an arrow 
figure(3)
w_scale = 5;
quiver(0, 0, w_scale*w(1), w_scale*w(2), 'color', [1,.5,0], 'linewidth', 3)
t = text(w_scale*w(1), w_scale*w(2), 'PCA W vector');
set(t, 'fontname','times', 'FontSize', 14, 'FontWeight', 'bold', 'color', [1,.5,0])

% draw the decision boundry
% note the equation w1*x1 + w2*x2 - c = 0 can be converted to x2 = -(w1/w2)*x1 + c/w2
a = linspace(fig_x_start, fig_x_end, 1000);
b = -(w(1)/w(2))*a + c/w(2);
plot(a, b, 'color', [1,.5,0], 'linewidth', 3)
t = text(-6, 4, 'PCA decision boundry');
set(t, 'fontname','times', 'FontSize', 14, 'FontWeight', 'bold', 'color', [1,.5,0])
