%/* Copyright (c) 2017 Suzuki Lab */ 
% --------------------------------------------------------------------------------------------------
% Draw the class-wise sample projections found by PCA
% --------------------------------------------------------------------------------------------------

% Form inner product of w with all data vector examples in x1 and x2
y1 = w' * x1';
y2 = w' * x2';

% Find range and define bins for histograms
minhist = round(1.5*min([y1,y2]));
maxhist = round(1.5*max([y1,y2]));
bins = minhist:.1:maxhist;

% Make the histograms
hist1 = hist(y1,bins);
hist2 = hist(y2,bins);

% Plot the histograms
figure(4); 
subplot(1,2,2);
set(gca,'fontname','times') 
area(bins,hist1,'FaceColor', 'r');
hold on;
area(bins,hist2,'FaceColor', 'b');
xlim([-10,10])
title({'Histograms of sample projections','onto W for PCA'}, 'FontSize', 14); 
h = legend('Class 1', 'Class 2');
set(h, 'FontSize', 16, 'fontname', 'times');
hold off;
