%/* Copyright (c) 2017 Suzuki Lab */ 
% **************************************************************************************************
% 2D artificial dataset with 2 classes
% **************************************************************************************************

% --------------------------------------------------------------------------------------------------
% Read and Visualize the 2D data set
% --------------------------------------------------------------------------------------------------

% read the dataset
% each row is a sample while each column is a feature
% first class is gaussian with mean (0,0) and cov(1,0;0,3)
% second class is gaussian with mean (2,2) and cov(1,0;0,3)

close all
clear
clc
warning off 

load('2D_artificial_dataset.mat')

% visualize the dataset
figure(1);
hold,grid;
fig_x_start = -6; fig_x_end = 7; fig_y_start = -6; fig_y_end = 7;
axis([fig_x_start, fig_x_end, fig_y_start, fig_y_end]) 
axis square;
set(gca,'fontname','times')  
xlabel('feature 1', 'FontSize', 16);
ylabel('feature 2', 'FontSize', 16);
title('2D artifical dataset', 'FontSize', 20) 
plot(x1(:,1), x1(:,2), 'r*');
plot(x2(:,1), x2(:,2), 'b*');
#plot(x1(:,1), x1(:,2), 'r*', 'markersize', 5);
#plot(x2(:,1), x2(:,2), 'b*', 'markersize', 5);
h = legend('Class 1', 'Class 2');
set(h, 'FontSize', 16);