%/* Copyright (c) 2017 Suzuki Lab */ 
% **************************************************************************************************
% 4D artificial dataset with 2 classes with ROC and AUC analysis
% **************************************************************************************************
% --------------------------------------------------------------------------------------------------
% Read and Visualize the 4D data set
% --------------------------------------------------------------------------------------------------
close all
clear
clc
warning off
% read the dataset
% each row is a sample while each column is a feature
% first class is gaussian with mean (0,0,0,0) and 
% cov(1,0,0,0;0,3,0,0;0,0,1,0;0,0,0,1)
% second class is gaussian with mean (2,2,0,0) and 
% cov(1,0,0,0;0,3,0,0;0,0,1,0;0,0,0,1)
load('4D_artificial_dataset.mat')


% Plot the trellis plots
figure(2)
set(gca,'fontname','times')
xx = [x1',x2'];
n = size(x1,1);
yy = [ones(1,n),2*ones(1,n)];
varNames = ['feature 1'; 'feature 2'; 'feature 3'; 'feature 4'];
quickPlotMatrix(xx,yy,['r','b'],['.','.'],[2,2],varNames) #[10,10] is the font size
set(gcf,'NextPlot','add');
axes;
h = title('Trellis plots', 'FontSize', 20);
set(gca,'fontname','times')
set(gca,'Visible','off');
set(h,'Visible','on');
 

% visualize the dataset (only first and second features)
figure(3);
hold,grid;
fig_x_start = -6; fig_x_end = 7; fig_y_start = -6; fig_y_end = 7;
axis([fig_x_start, fig_x_end, fig_y_start, fig_y_end]) 
axis square;
set(gca,'fontname','times')  
xlabel('feature 1', 'FontSize', 16);
ylabel('feature 2', 'FontSize', 16);
title('4D artifical dataset', 'FontSize', 20) 
plot(x1(:,1), x1(:,2), 'r*');
plot(x2(:,1), x2(:,2), 'b*');
h = legend('Class 1', 'Class 2');
set(h, 'FontSize', 16);