% **************************************************************************************************
% 8D Colon dataset with 2 classes (46 positives/ 2624 negatives) with ROC and AUC analysis
% **************************************************************************************************
%/* Copyright (c) 2017 Suzuki Lab */ 
% --------------------------------------------------------------------------------------------------
% Read and Visualize the 8D data set
% --------------------------------------------------------------------------------------------------
% read the dataset
% each row is a sample while each column is a feature
% first class is 46 case of polyps 
% second class is 2624 non-polyps

close all
clear
clc
warning off

load('8D_colon_dataset.mat')


% Plot the trellis plots
figure(6)
set(gca,'fontname','times')
xx = [x1',x2'];
n1 = size(x1,1);
n2 = size(x2,1);
yy = [ones(1,n1),2*ones(1,n2)];
varNames = ['feature 1'; 'feature 2'; 'feature 3'; 'feature 4';...
            'feature 5'; 'feature 6'; 'feature 7'; 'feature 8'];
quickPlotMatrix(xx,yy,['r','b'],['*','.'],[3,1],varNames)
set(gcf,'NextPlot','add');
axes;
h = title('Trellis plots', 'FontSize', 20);
set(gca,'fontname','times')
set(gca,'Visible','off');
set(h,'Visible','on');


% visualize the dataset (only first and 8th features)
figure(7);
hold,grid;
fig_x_start = -1; fig_x_end = 2; fig_y_start = -1; fig_y_end = 2;
axis([fig_x_start, fig_x_end, fig_y_start, fig_y_end]) 
axis square;
set(gca,'fontname','times')  
xlabel('feature 1', 'FontSize', 16);
ylabel('feature 8', 'FontSize', 16);
title('8D Colon dataset', 'FontSize', 20) 
plot(x1(:,1), x1(:,8), 'r*');
plot(x2(:,1), x2(:,8), 'b.');
h = legend('Class 1', 'Class 2');
set(h, 'FontSize', 16);